Bug 115407 - Impress loses transition sounds and sound instructions
Summary: Impress loses transition sounds and sound instructions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:5.4.7 target:6.0.4
Keywords: bibisectRequest, regression
: 111756 (view as bug list)
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2018-02-02 16:36 UTC by Robert Simpson
Modified: 2018-08-13 19:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File created with LibreOffice 3.3 (10.21 KB, application/vnd.oasis.opendocument.presentation)
2018-04-03 14:27 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Simpson 2018-02-02 16:36:56 UTC
Description:
Impress loses slide transitions, whether user files, system sounds (eg 'apert2', 'applause' etc), or sound instructions (eg 'stop previous sound'). 
Transition sounds are inserted and play correctly, but when impress file is saved, closed and reloaded, although the (user) sound is named in the sound selection window, it no longer plays. When the window is opened and the same sound selected from the drop-down list, it plays again. System sounds are no longer named.

Steps to Reproduce:
1.create impress file
2.select 'slide transition' and pick a sound (eg 'applause')
3.save, exit, reopen
4.(a)'applause' has been replaced by 'no sound'.
4.(b)user sound file still named, but doesn't play


Actual Results:  
no sound

Expected Results:
sound files and instructions should persist


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
not certain of first affected version, but 5.3.7 to 6.0.0 certainly display this behaviour.
Version: 6.0.0.3
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Julien Nabet 2018-02-03 22:06:56 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

just for the note, the pb comes from path of sound files, eg:
- file:///home/julien/lo/libreoffice/instdir/share/gallery/sounds/pluck.wav
- file:///home/julien/lo/libreoffice/instdir/program/../share/gallery/sounds/pluck.wav
It appears in
lcl_findSoundInList (see https://opengrok.libreoffice.org/xref/core/sd/source/ui/animations/SlideTransitionPane.cxx#284)
which calls lcl_EqualsSoundFileName (see 
https://opengrok.libreoffice.org/xref/core/sd/source/ui/animations/SlideTransitionPane.cxx#262)
Comment 2 Cor Nouws 2018-04-03 12:58:45 UTC
confirmed on Windows too
Comment 3 Xisco Faulí 2018-04-03 14:27:38 UTC
Created attachment 141056 [details]
File created with LibreOffice 3.3

Hi Robert Simpson,
Thanks for reporting the issue.
Are you sure this worked in the past?
I've just created a file with LibreOffice 3.3 and it shows 'No sound' when it's opened in LibreOffice 6.0
Comment 4 Robert Simpson 2018-04-03 17:54:38 UTC
This certainly worked in the past, although I'd be pushed to say which version that was. Perhaps around v5. I have used the transition sound feature frequently in the past with no problems.
Comment 5 Robert Simpson 2018-04-03 17:56:24 UTC
(In reply to Robert Simpson from comment #4)
> This certainly worked in the past, although I'd be pushed to say which
> version that was. Perhaps around v5. I have used the transition sound
> feature frequently in the past with no problems.

I meant to say it perhaps stopped working around v5.
Comment 6 Julien Nabet 2018-04-05 20:06:19 UTC
I submitted this patch for review:
https://gerrit.libreoffice.org/#/c/52476/

Now, it just deals with the simple case file saved with a system sound.

Have in mind that the odp file doesn't contain the sound file but just a link to it.
So in this following case:
- on computer A, you create and save a brand new odp with a user sound
- on computer B, which doesn't contain user sound, you load the odp file
=> the dropbox can't display the sound name.

Now let's say, we should force to display the sound name in the display box. However, obviously LO won't be able to play it if it's a user sound which doesn't exist on the computer.
So it's not a solution.

Perhaps we should add the possibility to really save the sound file in the odp.
So if it's a link, we wouldn't force the dropbox otherwise we'd force it?
It gets a bit complicated...
Comment 7 Commit Notification 2018-04-06 07:01:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23c82e1a377ea6fce65d71277ec59b3ca150b98a

tdf#115407: preselect sound file saved

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-04-06 14:05:09 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fce0f5823bbd6297f3455a2a36e4a66c423db9b9&h=libreoffice-5-4

tdf#115407: preselect sound file saved

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Robert Simpson 2018-04-08 10:32:33 UTC
If the latest build (2018-04-07) includes this patch, it does not seem to have worked. On Ubuntu 16.04, the symptoms remain as originally described.
Comment 10 Julien Nabet 2018-04-08 19:36:59 UTC
(In reply to Robert Simpson from comment #9)
> If the latest build (2018-04-07) includes this patch, it does not seem to
> have worked. On Ubuntu 16.04, the symptoms remain as originally described.

In LO, could you try Help/About LO and provide build ID?
Comment 11 Robert Simpson 2018-04-09 08:45:00 UTC
Here it is, Julien:
49c0d98cb2bec7d171f9847b1335874c05042187
I can try the newest build later today.
Comment 12 Julien Nabet 2018-04-09 08:57:01 UTC
I'm just wondering, it depends too which version you use:
master build or 6.0 branch (where the patch isn't yet included)
Comment 13 Robert Simpson 2018-04-10 08:38:19 UTC
I don't know how to determine if Julien's patch is incorporated, but I am still having no joy with this build of 2018-04-09:
c6e8460a5b47fa6fa971dde2a89e80662b6e97ae
Comment 14 Commit Notification 2018-04-10 09:19:45 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1576908dd0b5b275f90b50c0794559547aa0a25e&h=libreoffice-6-0

tdf#115407: preselect sound file saved

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Samuel Mehrbrodt (CIB) 2018-04-17 07:58:31 UTC
*** Bug 111756 has been marked as a duplicate of this bug. ***
Comment 16 Julien Nabet 2018-04-17 08:06:15 UTC
Could someone provide feedback if it's ok or not with a build which includes the patch?
Comment 17 Gerhard Weydt 2018-04-17 16:21:27 UTC
It does work in
Version: 6.1.0.0.alpha0+
Build ID: 9c4eaa7b81a40d97fe49b85272b40bfeaaf44f86
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-16_03:31:36
Locale: de-DE (de_DE); Calc: group

But there were some irregularities at the first time of opening and saving the test documents, which it will be difficult to reproduce. If you need it, I can try.

Yet it seems that sound settings from the older versions are shown, but no sound is played; only if you change to another sound (and back again, if you need it) all works well.

I haven't tried yet 6.0.4 or 5.4.7.
Comment 18 Julien Nabet 2018-04-17 18:58:33 UTC
Thank you for the feedback.
devs: considering the results, feel free to revert the patch. I don't have any opinion about this I just can tell I don't know how to do better (but I'm just a c++ beginner) so can't help here.
Comment 19 Cor Nouws 2018-05-03 10:36:26 UTC
(In reply to Julien Nabet from comment #18)
> Thank you for the feedback.
> devs: considering the results, feel free to revert the patch. I don't have
> any opinion about this I just can tell I don't know how to do better (but
> I'm just a c++ beginner) so can't help here.

Thanks Julian for your effort. But in a recent daily (Linux) the problem still exists.

@Xisco, is it possible that you put this on the agenda for ESC as major annoying or so?
Comment 20 Ron McIlvaine 2018-08-09 12:55:20 UTC
As of 8/9/2018 the new Libreoffice 6.10.03 dos not fix this problem, at least in Windows. I hesitate to install it in Linux because I need 5..1.6.2 to do my weekly work. Is there a path to completing this? Does unassigned mean no, there is no path?
Comment 21 Gerhard Weydt 2018-08-13 19:15:24 UTC
I am not sure whether Ron means version 6.1.0.3.

But I tried it with 6.1.0.3 and the following version of 6.2:
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7119184f4b5441600f7b3eae7ec6771c094bbb7f
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-23_05:38:07
Locale: de-DE (de_DE); Calc: CL

on Windows10, and the bug is still there in both versions.